summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2017-03-01 07:02:16 +0100
committerHans de Graaff <graaff@gentoo.org>2017-03-01 07:02:16 +0100
commit1490dc65623966b3c7e41eefa1a3dfc8f62e4c33 (patch)
tree07451f53e54a9c1cf79c5bfad5d91dc3e6317433
parentdev-ruby/uglifier: add 3.1.1 (diff)
downloadgentoo-1490dc65623966b3c7e41eefa1a3dfc8f62e4c33.tar.gz
gentoo-1490dc65623966b3c7e41eefa1a3dfc8f62e4c33.tar.bz2
gentoo-1490dc65623966b3c7e41eefa1a3dfc8f62e4c33.zip
dev-ruby/sourcemap: add ruby24
Package-Manager: Portage-2.3.3, Repoman-2.3.1
-rw-r--r--dev-ruby/sourcemap/sourcemap-0.1.1.ebuild8
1 files changed, 6 insertions, 2 deletions
diff --git a/dev-ruby/sourcemap/sourcemap-0.1.1.ebuild b/dev-ruby/sourcemap/sourcemap-0.1.1.ebuild
index d6cffbed66f..b7229624e28 100644
--- a/dev-ruby/sourcemap/sourcemap-0.1.1.ebuild
+++ b/dev-ruby/sourcemap/sourcemap-0.1.1.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
-USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+USE_RUBY="ruby21 ruby22 ruby23 ruby24"
RUBY_FAKEGEM_RECIPE_DOC="rdoc"
RUBY_FAKEGEM_EXTRADOC="README.md"
@@ -17,3 +17,7 @@ SLOT="0"
KEYWORDS="~amd64 ~arm"
IUSE=""
+
+all_ruby_prepare() {
+ sed -i -e '/bundler/ s:^:#:' Rakefile || die
+}